{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "2788a022",
   "metadata": {},
   "source": [
    "# Titre de niveau 1\n",
    "\n",
    "Cellule de blabla (en markdown)\n",
    "\n",
    "### Titre de niveau 3 (sur 6)\n",
    "\n",
    "Tracer du sinus cardinal $$f(x) = \\frac{\\sin{\\pi x}}{\\pi x}$$"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "d2e164d0",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "image/png": "[encoded data, 33980 characters]\n",
      "text/plain": [
       "<Figure size 640x480 with 1 Axes>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "import numpy as np\n",
    "import matplotlib.pyplot as plt\n",
    "\n",
    "x = np.linspace(-10, 10, 200)   # 200 valeurs flottantes réparties entre -10 et 10 compris\n",
    "y = np.sin(np.pi * x)/(np.pi * x)\n",
    "plt.plot(x, y)\n",
    "plt.show()  # visualisation"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.7"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
